Class | PhusionPassenger::AnalyticsLogger::Log
In: | lib/phusion_passenger/analytics_logger.rb
Parent: | Object

### Methods

begin_measure close closed? end_measure measure measured_time_points message new null?

### Attributes

txn_id | [R] |

### Public Class methods

new(connection = nil, txn_id = nil)

### Public Instance methods

begin_measure(name, extra_info = nil)
close(flush_to_disk = false)
closed?()
end_measure(name, error_encountered = false)
measure(name, extra_info = nil) {|| ...}
measured_time_points(name, begin_time, end_time, extra_info = nil)
message(text)
null?()

[Validate]